#!/usr/bin/env bash

# run pytest
/usr/local/bin/pytest -v -s --junit-xml /usr/reports/poke_report.xml /src/help-test-hello.py

if [[ $GITLAB_CI == 'true' ]]
then
  # sleep for 90 seconds so CI template can get the report
  echo "sleeping for 90 seconds"
  sleep 90
  echo "done sleeping"
fi

echo "summary of report(s) generated:"
md5sum /usr/reports/*
echo "done"